
ChiliProject - Bug # 1237: Have public projects displayed in the pull-down Projects menu

Status: Open Priority: Normal
Author: kwadronaut . Category:
Created: 2013-02-14 Assignee:
Updated: 2013-03-19 Due date:
Remote issue URL:
Affected version:
Description: Have public projects displayed in the pull-down Projects menu. Right now public projects, or even projects 

where a registered user has access to, don't get shown in the pull down menu on the top right beneath 
'Projects.' I have been told that there might be a duplicate issue for this but I couldn't find it, so apologies if it 
did exist already.

History
2013-02-15 03:49 pm - Chris Dähn
- Status changed from Open to Needs more information

Public projects are currently only displayed in the pulldown menu for users who are a member of the projects.

I managed that by putting all my colleagues into a group "Team" and for every new project I add this group as member to the project.

Does that work for you?

2013-02-18 11:14 am - kwadronaut .
- Status changed from Needs more information to Open

Situation: a (full or partly) public tracker doesn't manage the occasional contributors nor the anonymous visitors. They have to click 'all projects' get to 
the projects overview page and choose the appropriate project they want to browse or submit a ticket to. Said users can't add themselves as a member 
to a project/group, so the dropdown is useless for them. Brainstorm: by default all public projects are shown in the drop-down, if you're a member of 1 
or more projects these are shown too (or only those like now, whatever default makes more sense). Does this clarify the issue I'm experiencing?

2013-03-19 09:31 pm - Felix Schäfer
- Target version changed from 3.8.0 to 3.9.0

2013-03-19 09:32 pm - Felix Schäfer
Moved because no decision was made yet and no code is available.
